Package org.apache.sling.feature.maven.mojos.apis

# Class JavadocExecutor

java.lang.Object
org.apache.sling.feature.maven.mojos.apis.JavadocExecutor

public final class JavadocExecutor extends Object

## Constructor Summary

Constructors
Constructor
Description
`JavadocExecutor(File regionDir)`

## Method Summary

Modifier and Type
Method
Description
`JavadocExecutor`
`addArgument(String value)`
`<T> JavadocExecutor`
`addArgument(String stringValue, boolean newLine)`
`JavadocExecutor`
`addArgument(Collection<String> value, String valueSeparator)`
`JavadocExecutor`
`addArguments(String key, Collection<String> value)`
`JavadocExecutor`
`addArguments(Collection<String> value)`
`<T> JavadocExecutor`
`addQuotedArgument(String value)`
`void`
`execute(File workingDir, org.apache.maven.plugin.logging.Log logger, boolean ignoreErrors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavadocExecutor

public JavadocExecutor(File regionDir) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

## Method Details

### addArgument

public JavadocExecutor addArgument(String value)

### addArgument

public <T> JavadocExecutor addArgument(String stringValue, boolean newLine)

### addQuotedArgument

public <T> JavadocExecutor addQuotedArgument(String value)

### addArgument

public JavadocExecutor addArgument(Collection<String> value, String valueSeparator)

### addArguments

public JavadocExecutor addArguments(Collection<String> value)

### addArguments

public JavadocExecutor addArguments(String key, Collection<String> value)

### execute

public void execute(File workingDir, org.apache.maven.plugin.logging.Log logger, boolean ignoreErrors) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`